Bug 69969 - CPAN upgrade to perl5.8 errored out
CPAN upgrade to perl5.8 errored out
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-07-26 23:32 EDT by steve vaitl
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-30 11:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description steve vaitl 2002-07-26 23:32:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20020314

Description of problem:
when attempting to upgrade perl from CPAN shell I got the following error;

h  cflags "optimize='-O2'" sv.o  sv.c
	  CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -Wall
h  cflags "optimize='-O2'" pp.o  pp.c
	  CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -Wall
h  cflags "optimize='-O2'" scope.o  scope.c
	  CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -Wall
h  cflags "optimize='-O2'" pp_ctl.o  pp_ctl.c
	  CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -Wall
h  cflags "optimize='-O2'" pp_sys.o  pp_sys.c
	  CCCMD =  cc -DPERL_CORE -c -fno-strict-aliasing
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -Wall
pp_sys.c: In function erl_pp_sselect':
pp_sys.c:1103: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [pp_sys.o] Error 1
  /usr/bin/make  -- NOT OK
Running make test
  Can't test without successful make
Running make install
  make had returned bad status, install seems impossible


Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Chip Turner 2002-07-30 11:56:02 EDT
You were trying to upgrade your version of perl via CPAN only?  This is not
supported; please use RPMs provided by Red Hat if you wish to upgrade your perl
installation.  Also note that if you are going from a 5.00503 or 5.6.0 or 5.6.1
perl that you will break binary compatibility, if you try to go to 5.8.0.
Comment 2 steve vaitl 2002-07-30 12:24:11 EDT
Yes, I was upgrading via CPAN only. As I was installing other perl mods (via
CPAN), CPAN told me I should do this, it even told me how to upgrade via CPAN.
Perhaps the folks at CPAN should be informed that one should not upgrade perl
that way?!?! ;-]
Comment 3 steve vaitl 2002-07-30 12:25:20 EDT
BTW, Thanks for the reply!!!!
Comment 4 Chip Turner 2002-07-30 13:45:49 EDT
you may want to download a new CPAN module separately; this is a known issue in
older CPANs.  Newer ones should do the right thing and not try to recompile your
version of perl :)

Note You need to log in before you can comment on or make changes to this bug.